#include "DxLib.h"
#include "Player.h"
#include "Keyboard.h"

int WINAPI WinMain(HINSTANCE,HINSTANCE,LPSTR,int){
	ChangeWindowMode(TRUE),DxLib_Init(),SetDrawScreen( DX_SCREEN_BACK );

	Player_Initialize();// 初期化

	while( ScreenFlip()==0 && ProcessMessage()==0 && ClearDrawScreen()==0 ){

		Keyboard_Update();

		Player_Update();	// 計算
		Player_Draw();	// 描画

	}

	Player_Finalize();  // 終了処理

	DxLib_End();
	return 0;
}
